Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158241 - Stop sending newset in request
Summary: Stop sending newset in request
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/R&D
Version: RHN Devel
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ken Ganong
QA Contact: Vlady Zlatkin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-19 19:57 UTC by Ken Ganong
Modified: 2007-04-18 17:26 UTC (History)
1 user (show)

Fixed In Version: RHN 4.0.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-31 21:08:59 UTC
Target Upstream Version:


Attachments (Terms of Use)
Here is the log, note the newset value (deleted)
2005-05-19 19:57 UTC, Ken Ganong
no flags Details

Description Ken Ganong 2005-05-19 19:57:28 UTC
in Java:
We are sending newset in the request which keeps track of the RhnSet.  We should
use the database to take care of newset.

When are sets are too large for a request, here's what we get:
May 19, 2005 3:51:38 PM org.apache.jk.common.MsgAjp cpBytes
SEVERE: Overflow
java.lang.Throwable
    at org.apache.jk.common.MsgAjp.cpBytes(MsgAjp.java:172)
    at org.apache.jk.common.MsgAjp.appendByteChunk(MsgAjp.java:146)
    at org.apache.jk.common.MsgAjp.appendBytes(MsgAjp.java:132)
    at org.apache.jk.server.JkCoyoteHandler.appendHead(JkCoyoteHandler.java:398)
    at org.apache.jk.server.JkCoyoteHandler.action(JkCoyoteHandler.java:416)
    at org.apache.coyote.Response.action(Response.java:182)
    at org.apache.coyote.Response.sendHeaders(Response.java:374)
    at org.apache.coyote.tomcat5.OutputBuffer.doFlush(OutputBuffer.java:321)
    at org.apache.coyote.tomcat5.OutputBuffer.close(OutputBuffer.java:282)
    at
org.apache.coyote.tomcat5.CoyoteResponse.finishResponse(CoyoteResponse.java:476)
    at org.apache.coyote.tomcat5.CoyoteAdapter.service(CoyoteAdapter.java:163)
    at org.apache.jk.server.JkCoyoteHandler.invoke(JkCoyoteHandler.java:300)
    at org.apache.jk.common.HandlerRequest.invoke(HandlerRequest.java:374)
    at org.apache.jk.common.ChannelSocket.invoke(ChannelSocket.java:743)
    at org.apache.jk.common.ChannelSocket.processConnection(ChannelSocket.java:675)
    at org.apache.jk.common.SocketConnection.runIt(ChannelSocket.java:866)

Comment 1 Ken Ganong 2005-05-19 19:57:31 UTC
Created attachment 114586 [details]
Here is the log, note the newset value

Comment 2 Ken Ganong 2005-05-24 12:29:48 UTC
Now instead of chaining newset continuously through the request, we simply
commit to the database.

Comment 3 Jesus M. Rodriguez 2005-06-10 18:34:04 UTC
Mass moving ON_DEV to ON_QA

Comment 4 Vlady Zlatkin 2005-07-03 21:53:31 UTC
fails qa b/c there is no testplan, please add

Comment 5 Ken Ganong 2005-07-05 13:48:26 UTC
TEST PLAN:
Go to a list display page with a set and checkboxes, example:
/rhn/systems/details/packages/PackageList.do?sid=XXX.
Select some items in the set.
Paginate.
Select some more items.
Paginate.

During the above process, there should be no request content named newset
because newset has the potential to get very large.  items_on_page is the
acceptable similar content (in case you need a reference).

Comment 6 Vlady Zlatkin 2005-07-06 21:01:17 UTC
prod ready


Note You need to log in before you can comment on or make changes to this bug.